Bug 1470985 - [RFE] Use JSON instead of TEXT types
[RFE] Use JSON instead of TEXT types
Status: CLOSED DEFERRED
Product: ovirt-engine
Classification: oVirt
Component: Database.Core (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Eli Mesika
Lucie Leistnerova
: FutureFeature
Depends On: 1459134
Blocks: RHV_PG_95
  Show dependency treegraph
 
Reported: 2017-07-14 04:28 EDT by Martin Perina
Modified: 2017-09-15 07:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-05 07:49:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mperina: ovirt‑4.2?
lsvaty: testing_plan_complete-
mperina: planning_ack?
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Martin Perina 2017-07-14 04:28:21 EDT
Description of problem:

Add support for JSON types [1] instead of the current TEXT type to prevent inserting non JSON values by mistake.

[1] https://wiki.postgresql.org/wiki/What%27s_new_in_PostgreSQL_9.3#JSON:_Additional_functionality

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Martin Perina 2017-09-05 07:49:14 EDT
It doesn't bring any important benefits at the moment, so closing for now

Note You need to log in before you can comment on or make changes to this bug.